this.name      = "upsSatelite"; 
this.author    = "eric walch"; 
this.copyright = " 2008 eric walch."; 
this.description = "Code for an upright satelite"; 
this.version   = "1.00";

this.shipSpawned = function()
{
	var targetVector = this.ship.position.subtract(System.mainPlanet.position).direction()
	var angle = this.ship.heading.angleTo(targetVector)
	var cross = this.ship.heading.cross(targetVector).direction()
	this.ship.setOrientation(this.ship.orientation.rotate(cross, -angle))
	
	delete this.shipSpawned;
}

this.shipDied = function() 
{ 
        this.ship.commsMessage("Mayday, mayday, radar down!")
		var orientation = this.ship.orientation
		if(--missionVariables.ups_satellitecount == 0)
		{
			missionVariables.ups_slaves = "DEBRIEFING"
			this.ship.spawn("ups-slave-shuttle", 5).forEach(function (ship) {ship.setOrientation(orientation)})
		}
} 

this.launchSatelliteDefenders = function()
{
	var orientation = this.ship.orientation
	if(this.ship.target)
		this.ship.target.spawn("ups_satellite_defense", 3).forEach(function (ship) {ship.setOrientation(orientation)})
}
/*
This satelite has role "station" for historical reasons: This way they yould communicate over alert
levels with the legacy scripting.
*/